Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.support.info
Class PreferenceInfoSupport

    java.lang.Object
      org.jboss.portal.portlet.support.info.PreferenceInfoSupport

All Implemented Interfaces:
  PreferenceInfo

    public class PreferenceInfoSupport

extends java.lang.Object
implements PreferenceInfo

Version:
  $Revision: 5448 $
Author:
  Julien Viet

Constructor Summary
`PreferenceInfoSupport(java.lang.String key)`
`PreferenceInfoSupport(java.lang.String key, java.lang.Boolean readOnly)`

Method Summary
`LocalizedString` | `getDescription()` Retrieves the localized description of the described preference.
`LocalizedString` | `getDisplayName()` Retrieves the localized display name of the described preference.
`java.lang.String` | `getKey()` Retrieves the key associated to the described preference.
`java.lang.Boolean` | `isReadOnly()` Return true if the preference is read-only, false otherwise or null if it cannot be determined.
`void` | `setDescription(LocalizedString description)`
`void` | `setDisplayName(LocalizedString displayName)`
`void` | `setReadOnly(java.lang.Boolean readOnly)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PreferenceInfoSupport

    public PreferenceInfoSupport(java.lang.String key)

### PreferenceInfoSupport

    public PreferenceInfoSupport(java.lang.String key,
                                 java.lang.Boolean readOnly)

Method Detail

### getKey

    public java.lang.String getKey()

  Description copied from interface: `PreferenceInfo`
  Retrieves the key associated to the described preference.

  Specified by:
    `getKey` in interface `PreferenceInfo`
  Returns:
    the key associated to the described preference.

### getDisplayName

    public LocalizedString getDisplayName()

  Description copied from interface: `PreferenceInfo`
  Retrieves the localized display name of the described preference.

  Specified by:
    `getDisplayName` in interface `PreferenceInfo`
  Returns:
    the localized display name of the described preference.
  See Also:
    `LocalizedString`

### getDescription

    public LocalizedString getDescription()

  Description copied from interface: `PreferenceInfo`
  Retrieves the localized description of the described preference.

  Specified by:
    `getDescription` in interface `PreferenceInfo`
  Returns:
    the localized description of the described preference.
  See Also:
    `LocalizedString`

### isReadOnly

    public java.lang.Boolean isReadOnly()

  Description copied from interface: `PreferenceInfo`
  Return true if the preference is read-only, false otherwise or null if it cannot be determined.

  Specified by:
    `isReadOnly` in interface `PreferenceInfo`
  Returns:
    `true` if the described preference is read-only, `false` otherwise.

### setReadOnly

    public void setReadOnly(java.lang.Boolean readOnly)

### setDisplayName

    public void setDisplayName(LocalizedString displayName)

### setDescription

    public void setDescription(LocalizedString description)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD